#include <InterViews/background.h>
#include <InterViews/box.h>
#include <InterViews/glue.h>
#include <InterViews/label.h>
#include <InterViews/place.h>
#include <InterViews/session.h>
#include <InterViews/style.h>
#include <InterViews/window.h>

int main(int argc, char** argv) {
    Session* session = new Session("Himom", argc, argv);
    Style* style = session->style();
    const Font* f = style->font();
    const Color* fg = style->foreground();
    session->run_window(
	new ApplicationWindow(
	    new Background(
		new TBBox(
		    new VCenter(new Label("good", f, fg), 1.0),
		    new VGlue(0, fil, 0),
		    new Label("bye", f, fg)
		),
		style->background()
	    )
	)
    );
}
